import { postExportFetch, postFetch } from "../../../util/request";

//汇通建设-薪酬送审数据穿透（分页）
export const getXcssDataDetail = params => {
  return postFetch("/api/bs/hrmsalary/salaryacct/htjs/xcssDataDetail", params);
};
//汇通建设-薪酬支付数据穿透（分页）
export const getXczfsqDataDetail = params => {
  return postFetch("/api/bs/hrmsalary/salaryacct/htjs/xczfsqDataDetail", params);
};
// 汇通建设-薪酬送审数据穿透(导出)
export const exportXcssDataDetail = (params) => {
  return postExportFetch("/api/bs/hrmsalary/salaryacct/htjs/exportXcssDataDetail", params);
};
// 汇通建设-薪酬支付申请数据穿透导出(导出)
export const exportXczfsqDataDetail = (params) => {
  return postExportFetch("/api/bs/hrmsalary/salaryacct/htjs/exportXczfsqDataDetail", params);
};
// 汇通建设-社保福利台账报表
export const getHTCommonListReport = (params) => {
  return postFetch("/api/bs/hrmsalary/siaccount/detail/htCommonListReport", params);
};
// 汇通建设-社保福利台账报表
export const getHTCommonListReportSum = (params) => {
  return postFetch("/api/bs/hrmsalary/siaccount/detail/htCommonListReportSum", params);
};
// 汇通建设-社保福利台账报表导出
export const exportHtCommonList = (params) => {
  return postExportFetch("/api/bs/hrmsalary/siaccount/detail/exportHtCommonList", params);
};
